<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentResult_V3 StructType
 * @subpackage Structs
 */
class DocumentResult_V3 extends DocumentResult_V2
{
    /**
     * The Job
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JobIdentifier
     */
    public $Job;
    /**
     * Constructor method for DocumentResult_V3
     * @uses DocumentResult_V3::setJob()
     * @param \StructType\JobIdentifier $job
     */
    public function __construct(\StructType\JobIdentifier $job = null)
    {
        $this
            ->setJob($job);
    }
    /**
     * Get Job value
     * @return \StructType\JobIdentifier|null
     */
    public function getJob()
    {
        return $this->Job;
    }
    /**
     * Set Job value
     * @param \StructType\JobIdentifier $job
     * @return \StructType\DocumentResult_V3
     */
    public function setJob(\StructType\JobIdentifier $job = null)
    {
        $this->Job = $job;
        return $this;
    }
}
